### Method

# Vips Image complexget

#### Declaration [src]

    int
    vips_complexget (
      VipsImage* in,
      VipsImage** out,
      VipsOperationComplexget get,
      ...
    )

#### Description [src]

Get components of complex images.

The output type is the same as the input type, except `VIPS_FORMAT_COMPLEX` becomes `VIPS_FORMAT_FLOAT` and `VIPS_FORMAT_DPCOMPLEX` becomes `VIPS_FORMAT_DOUBLE`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output `VipsImage`.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`get`

  Type: `VipsOperationComplexget`

  Complex operation to perform.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.